from restapiboys.custom_routes import decorators
import re

def test_decorators_route_pattern_to_regex():
    fixture = '/lorem/:ipsum/dolor/:sit/:amet'
    expected = re.compile(r'/lorem/?P<ipsum>([^/]+)/dolor/?P<sit>([^/]+)/?P<amet>([^/]+)')
    actual = decorators.route_pattern_to_regex(fixture)
    assert actual == expected
